#
# spec file for package firmwarekit
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           firmwarekit
BuildRequires:  acpica
BuildRequires:  bash
BuildRequires:  coreutils
BuildRequires:  dhcp-client
BuildRequires:  dmidecode
BuildRequires:  findutils
BuildRequires:  gawk
BuildRequires:  gdb
BuildRequires:  glib2-devel
BuildRequires:  grep
BuildRequires:  iproute2
BuildRequires:  module-init-tools
BuildRequires:  ncurses-devel
BuildRequires:  newt
BuildRequires:  newt-devel
BuildRequires:  perl
BuildRequires:  pkgconfig
BuildRequires:  sed
BuildRequires:  sharutils
BuildRequires:  slang-devel
BuildRequires:  systemd
BuildRequires:  termcap
BuildRequires:  util-linux
BuildRequires:  wget
BuildRequires:  xorg-x11-util-devel
Url:            http://www.linuxfirmwarekit.org
Summary:        BIOS checker that validates ACPI and other parts for x86 and x86_64 machines
License:        LGPL-2.1+
Group:          System/Boot
Version:        3
Release:        69.43
PreReq:         gzip
Requires:       acpica
Requires:       dmidecode
Requires:       hwinfo
Requires:       powertop
Requires:       util-linux
Summary:        BIOS checker that validates ACPI and other parts for x86 and x86_64 machines
Group:          System/Boot
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64 ia64
Source0:        %{name}-r%{version}.tar.bz2
Patch0:         adjust_paths.patch
Patch1:         biostest_sh.patch
Patch2:         rip_out_unneeded_stuff.patch
Patch3:         adjust_doc.patch
Patch4:         own_params.patch
Patch5:         scp_save_results.patch
Patch6:         use_external_pmtool_bins.patch
Patch7:         path_environment.patch
Patch8:         dmesg_adjust.patch
Patch9:         colors.patch
Patch10:        %{name}-use-external-powertop.patch
Patch11:        %{name}-overwrite-cflags.patch
Patch12:        %{name}-fix-rpmlint.patch
Patch13:        %{name}-outputdir
Patch14:        %{name}-dmidecode-detail
Patch15:        %{name}-gcc.patch

%description
This tool, developed by Intel, is meant for vendors to validate and
certifcate their BIOS. It is also convenient for ACPI or general BIOS
related bugs. If you have an ACPI error/warning, run this tool and
provide output for bug tracking information



Authors:
--------
    Intel

%prep
%setup -q -n linuxfirmwarekit
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
# This is arch specific stuff, put all in /usr/lib/firmwarekit
%define location /usr/lib/%{name}

%build
# This package failed when testing with -Wl,-as-needed being default.
# So we disable it here, if you want to retest, just delete this comment and the line below.
export SUSE_ASNEEDED=0
make -e CFLAGS="$RPM_OPT_FLAGS"

%install
install -D -m 744 biostest.sh %{buildroot}/usr/sbin/biostest.sh
install -d -m 755 %{buildroot}/var/log/%{name}
install -D -m 644 results/resources.css %{buildroot}/var/log/%{name}/results.css
install -D -m 744 biostest %{buildroot}/%{location}/biostest
install -D -m 755 shelltools/start_test %{buildroot}/%{location}/bin/start_test
ln -s start_test %{buildroot}/%{location}/bin/announce_resource
ln -s start_test %{buildroot}/%{location}/bin/finish_test
ln -s start_test %{buildroot}/%{location}/bin/report_result
ln -s start_test %{buildroot}/%{location}/bin/report_testrun_progress
install -D -m 755 libstandalone.so           %{buildroot}/%{_libdir}/libstandalone.so.%{version}.%{release}
ln -s libstandalone.so.%{version}.%{release} %{buildroot}/%{_libdir}/libstandalone.so.%{version}
cp      -a        plugins %{buildroot}/%{location}/plugins
install -D -m 644 Documentation/QUICKSTART.txt %{buildroot}/%{_docdir}/%{name}/QUICKSTART.txt
install -D -m 644 Documentation/USERGUIDE.txt  %{buildroot}/%{_docdir}/%{name}/USERGUIDE.tx
gzip biostest.1
install -D -m 644 biostest.1.gz %{buildroot}/%{_mandir}/man1/biostest.1.gz
chmod 644 %{buildroot}/%{_mandir}/man1/biostest.1.gz
echo %{version} > %{buildroot}/%{location}/version

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/sbin/biostest.sh
%{location}
/var/log/%{name}
/%{_libdir}/libstandalone.so.%{version}
/%{_libdir}/libstandalone.so.%{version}.%{release}
%{_docdir}/%{name}
%{_mandir}/man1/biostest.1.gz

%changelog
* Tue Apr 22 2014 ro@suse.de
- replace sysvinit buildrequires by systemd
* Fri Mar 16 2012 aj@suse.de
- It's nostdlib and not nostdlibs as command line option.
- Remove obsolete version checks.
* Wed May 19 2010 ro@suse.de
- replace dhclient by dhcp-client in buildrequires
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Tue Jun  9 2009 coolo@novell.com
- fix requires similiar to the previous change
* Fri May 15 2009 trenn@suse.de
- Replace pmtools with acpica package required for building.
  pmtools package gets split into acpica and dmidecode,
  pmtools will be dropped.
* Wed Jun  4 2008 bwalle@suse.de
- update to version 3 (bnc#385898)
* Wed May 30 2007 trenn@suse.de
- also build for ia64
- use "$@" to pass args correctly from biostest.sh to biostest
- move from /usr/share to /usr/lib
- ripped out a lot patches that went mainline
- updated to release 2
- there are still some bugs to fix, package is building and working
  half way correctly (plugin specifc things to fix) now. I will
  wait until next version with patches applied comes out to get out
  of patch nightmare.
* Wed Dec  6 2006 dmueller@suse.de
- don't build as root
* Fri Nov 24 2006 trenn@suse.de
- removed quotation marks to properly pass params from
  /usr/bin/biostest.sh wrapper to /usr/share/firmwarekit
* Tue Nov 14 2006 trenn@suse.de
- upgrade to svn rev 102 (new tests: os2gap, maxreadreq,
  thermal_trip, apicedge(experimental))
- modified color style being more suse like
- fixed scp copy and some other minor things
* Thu Oct 26 2006 trenn@suse.de
- Added manpage
  moved to svn repository and cleaned up patches
  added svn version to package version
  use /var/log/boot.msg to gain dmesg output
* Mon Oct  9 2006 trenn@suse.de
- moved output to /var/log/firmwarekit
  fixed double free in SSDT test
  add scp save (graphical and as param) option
* Fri Sep 29 2006 ro@suse.de
- remove empty pre/post scripts
* Thu Sep 28 2006 trenn@suse.de
- Added SSDTs test -> iasl compiler is not really ready for that
  I probably have to remove that again at some BETA phase...
  Get rid of lmbench stuff -> too much overhead, doubt it's needed
  currently. Make use of CFLAGS of build system, some cleanups...
* Wed Sep 27 2006 snwint@suse.de
- removed 'Requires' line
* Fri Sep 22 2006 trenn@suse.de
- Initial checkin.
  Known problems: hpet test misses dsdt.aml
  (works on second attempt) and dmesg output seems to get cleared.
